VERSION 5.00
Begin VB.Form Form1 
   Caption         =   "Form1"
   ClientHeight    =   7125
   ClientLeft      =   60
   ClientTop       =   450
   ClientWidth     =   9780
   LinkTopic       =   "Form1"
   ScaleHeight     =   7125
   ScaleWidth      =   9780
   StartUpPosition =   3  'Windows ̊l
   Begin VB.CommandButton cmdAnalogInput 
      Caption         =   "Analog Input"
      Height          =   375
      Left            =   3960
      TabIndex        =   16
      Top             =   6000
      Width           =   1335
   End
   Begin VB.ComboBox cmbAnalogGain 
      Height          =   300
      Left            =   2280
      TabIndex        =   14
      Text            =   "1"
      Top             =   6120
      Width           =   1455
   End
   Begin VB.ComboBox cmbAnalogCh 
      Height          =   300
      Left            =   600
      TabIndex        =   12
      Text            =   "1"
      Top             =   6120
      Width           =   1455
   End
   Begin VB.CommandButton cmdInput 
      Caption         =   "Digital Input"
      Height          =   375
      Left            =   600
      TabIndex        =   10
      Top             =   5040
      Width           =   1335
   End
   Begin VB.CheckBox chkOut 
      Caption         =   "OUT8"
      Height          =   255
      Index           =   7
      Left            =   600
      TabIndex        =   9
      Top             =   4320
      Width           =   975
   End
   Begin VB.CheckBox chkOut 
      Caption         =   "OUT7"
      Height          =   255
      Index           =   6
      Left            =   600
      TabIndex        =   8
      Top             =   3960
      Width           =   975
   End
   Begin VB.CheckBox chkOut 
      Caption         =   "OUT6"
      Height          =   255
      Index           =   5
      Left            =   600
      TabIndex        =   7
      Top             =   3600
      Width           =   975
   End
   Begin VB.CheckBox chkOut 
      Caption         =   "OUT5"
      Height          =   255
      Index           =   4
      Left            =   600
      TabIndex        =   6
      Top             =   3240
      Width           =   975
   End
   Begin VB.CheckBox chkOut 
      Caption         =   "OUT4"
      Height          =   255
      Index           =   3
      Left            =   600
      TabIndex        =   5
      Top             =   2880
      Width           =   975
   End
   Begin VB.CheckBox chkOut 
      Caption         =   "OUT3"
      Height          =   255
      Index           =   2
      Left            =   600
      TabIndex        =   4
      Top             =   2520
      Width           =   975
   End
   Begin VB.CheckBox chkOut 
      Caption         =   "OUT2"
      Height          =   255
      Index           =   1
      Left            =   600
      TabIndex        =   3
      Top             =   2160
      Width           =   975
   End
   Begin VB.CheckBox chkOut 
      Caption         =   "OUT1"
      Height          =   255
      Index           =   0
      Left            =   600
      TabIndex        =   2
      Top             =   1800
      Width           =   975
   End
   Begin VB.ComboBox ComboBoxDeviceList 
      Height          =   300
      Left            =   600
      TabIndex        =   1
      Text            =   " "
      Top             =   1200
      Width           =   2415
   End
   Begin VB.CommandButton cmbFindConnect 
      Caption         =   "Find Connected Top16"
      Height          =   375
      Left            =   600
      TabIndex        =   0
      Top             =   480
      Width           =   2295
   End
   Begin VB.Label lblAnalogInputValue 
      Caption         =   "0"
      Height          =   255
      Left            =   5520
      TabIndex        =   17
      Top             =   6120
      Width           =   735
   End
   Begin VB.Label Label2 
      Caption         =   "Analog Input Gain"
      Height          =   255
      Left            =   2280
      TabIndex        =   15
      Top             =   5880
      Width           =   1575
   End
   Begin VB.Label Label1 
      Caption         =   "Analog Input ch"
      Height          =   255
      Left            =   600
      TabIndex        =   13
      Top             =   5880
      Width           =   1215
   End
   Begin VB.Label lblInputValue 
      Caption         =   "0"
      Height          =   255
      Left            =   2160
      TabIndex        =   11
      Top             =   5160
      Width           =   735
   End
End
Attribute VB_Name = "Form1"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Private Sub chkOut_Click(Index As Integer)
    If chkOut(Index).Value = 1 Then
        setOutputs ComboBoxDeviceList.Text, 2 ^ Index, 1
    Else
        setOutputs ComboBoxDeviceList.Text, 2 ^ Index, 1
    End If
    
End Sub

Private Sub cmbFindConnect_Click()
        Dim nameStrings(20) As String
        Dim boardsFound As Long
        Dim i As Integer

        ' get a list of connected top16 boards

        boardsFound = getTop16BoardNames(nameStrings)
        If (boardsFound > 0) Then
            For i = 0 To boardsFound
                ComboBoxDeviceList.AddItem (nameStrings(i))
            Next


            ComboBoxDeviceList.ListIndex = 0

        End If

End Sub

Private Sub cmdAnalogInput_Click()
    Dim strGain As String
    Dim intCh As Integer
    
    Select Case cmbAnalogGain.Text
        Case 1
            strGain = "Z"
        Case 2
            strGain = "Y"
        Case 4
            strGain = "X"
        Case 8
            strGain = "W"
        Case 16
            strGain = "V"
        Case 32
            strGain = "U"
        Case 64
            strGain = "T"
    End Select
    
    intCh = Val(cmbAnalogCh.Text)
    
    lblAnalogInputValue.Caption = readAnalogInput(ComboBoxDeviceList.Text, intCh, strGain)
    
    
End Sub

Private Sub cmdInput_Click()
    Dim lngInputValue As Long
    
    lblInputValue.Caption = getInputs(ComboBoxDeviceList.Text)
    
    
End Sub

Private Sub Form_Load()
    Dim i As Integer
    
    For i = 1 To 8
        cmbAnalogCh.AddItem i
    Next
    
    For i = 0 To 6
        cmbAnalogGain.AddItem 2 ^ i
    Next
        
End Sub
