Attribute VB_Name = "Module1"
    Private Declare Function ListTop16Boards Lib "top16.dll" (ByRef byteArray As Byte) As Long
    Private Declare Function SetOut Lib "top16.dll" Alias "SetOutputs" (ByVal handle As Long, ByVal mask As Byte, ByVal SetUnSet As Byte) As Long
    Private Declare Function GetIn Lib "top16.dll" Alias "GetInputs" (ByVal handle As Long) As Long
    Private Declare Function ReadAnalog Lib "top16.dll" Alias "readAnalogInput" (ByVal handle As Long, ByVal ch As Integer, ByVal gain As Byte) As Long
    Private Declare Function OpenBoard Lib "top16.dll" (ByVal boardName As String) As Long
    Private Declare Function CloseBoard Lib "top16.dll" (ByVal handle As Long) As Long

    Public Function setOutputs(ByVal boardName As String, ByVal mask As Byte, ByVal SetUnSet As Byte) As Long

        Dim lHandle As Long
        Dim lRtn As Long

        lHandle = OpenBoard(boardName)

        If (lHandle > 0) Then
            lRtn = SetOut(lHandle, mask, SetUnSet)
            lRtn = CloseBoard(lHandle)
        End If

        setOutputs = 0

    End Function


    Public Function getInputs(ByVal boardName As String) As Long

        Dim lHandle As Long
        Dim lRtn As Long

        lHandle = OpenBoard(boardName)

        If (lHandle > 0) Then
            getInputs = GetIn(lHandle)
            lRtn = CloseBoard(lHandle)
        End If


    End Function

'----------------------------------
'   AiO
'       strGain Gainݒ
'       "Z"  1
'       "Y"  2
'       "X"  4
'       "W"  8
'       "V" 16
'       "U  32
'       "T" 64
'----------------------------------

    Public Function readAnalogInput(ByVal boardName As String, ByVal ch As Integer, ByVal strGain As String) As Long

        Dim lHandle As Long
        Dim lRtn As Long
        Dim bytGain As Byte

        lHandle = OpenBoard(boardName)
        
        bytGain = Asc(Left(strGain, 1))

        If (lHandle > 0) Then
            readAnalogInput = ReadAnalog(lHandle, ch, bytGain)
            lRtn = CloseBoard(lHandle)
        End If

    End Function


    ' name Strings must be an Arry of 20 strings or more

    Public Function getTop16BoardNames(ByRef nameStrings() As String) As Long
        getTop16BoardNames = 0

        ' Create a 20 by 20 byte array to pass in:
        Dim byteArray(399) As Byte

        Dim returnValue As Long

        ' pass pointer to first location of 20 X 20 byte array

        returnValue = ListTop16Boards(byteArray(0))
        
        'Debug.Print UBound(byteArray, 2)

        ' Extract arrays of bytes from array of arrays

        Dim i As Integer
        Dim j As Integer
        
        Dim intChar As Integer
        
        Dim strBoardName As String
        
        
        For i = 0 To 19

            ' Extract one byte array (string) from 2 dimensional array

            strBoardName = ""
            
            For j = 0 To 19
                intChar = byteArray(i * 20 + j)
                
                If intChar >= &H20 And intChar <= &H7F Then
                    strBoardName = strBoardName & Chr(intChar)
                End If
                
            Next

            If (i < (UBound(nameStrings, 1) - 1)) Then
                nameStrings(i) = strBoardName
                ' was a board found ?
                If (strBoardName <> "") Then
                    getTop16BoardNames = getTop16BoardNames + 1

                End If
            End If


        Next i



    End Function

